# List Events

Get a paginated list of event log entries.

Endpoint: GET /events
Version: v0
Security: ArxusSSO

## Security:

  - `ArxusSSO` (unknown)
    http bearer JWT scopes: ROLE_ITSM_WRITE

## Response 200:

  - `200` (unknown)
    The requested list of event log entries.

## Response 200 fields (application/json):

  - `meta` (object)
    Meta information about the response.

  - `meta.page` (object)
    Pagination info for the response.

  - `meta.page.number` (integer)
    The current page number.
    Example: 1

  - `meta.page.size` (integer)
    The number of items per page.
    Example: 50

  - `meta.page.count` (integer)
    The number of items in the current page.
    Example: 20

  - `meta.page.totalCount` (integer)
    The total number of items.
    Example: 42

  - `data` (array)

  - `data.id` (string)
    The unique identifier of the event.
    Example: 6825d2cf57918d1ca439bb5e

  - `data.event` (string)
    The event type that triggered the webhook.
    Example: case.updated

  - `data.subject` (string)
    The subject identifier (e.g. case number) related to the event.
    Example: CS0123456

  - `data.contract` (string)
    The unique identifier of the contract that triggered the webhook.
    Example: 6825d2cf57918d1ca439bb5e

  - `data.webhook` (string)
    The unique identifier of the webhook that was triggered, or null if no webhook matched the event.
    Example: 6825d2cf57918d1ca439bb5e

  - `data.url` (string)
    The URL that was called, or null if no webhook matched the event.
    Example: https://example.com/webhooks/care

  - `data.auth` (object)
    Webhook authentication secret version reference used in webhook and event log responses.

  - `data.auth.type` (string)
    The type of secret.
    Enum: "basic", "bearer", "header", "list"

  - `data.auth.version` (string)
    The version of the webhook secret.
    Example: a1b2c3d4e5f64f7f8a9b0c1d2e3f4a5b

  - `data.status` (string)
    The status of the webhook call, or null if no webhook matched the event.
    Enum: "unknown", "success", "error"

  - `data.created` (string)
    The date and time the event was created.
    Example: 2025-01-15T10:30:00Z

  - `data.updated` (string)
    The date and time the event was last updated.
    Example: 2025-01-16T08:00:00Z

## Response 400:

  - `400` (unknown)
    An error occurred due to a bad request.

## Response 400 fields (application/json):

  - `meta` (object)
    Response metadata schema.

  - `errors` (array)
    A list of errors that occurred.

  - `errors.status` (integer)
    The HTTP status code of the error.
    Example: 404

  - `errors.title` (string)
    A short, human-readable summary of the error.
    Example: Not Found

  - `errors.detail` (string)
    A human-readable explanation of the error.
    Example: The requested resource was not found.

  - `errors.code` (string)
    A machine-readable error code.
    Example: resource_not_found

## Response 403:

  - `403` (unknown)
    An error occurred due to a forbidden request.

## Response 403 fields (application/json):

  - `meta` (object)
    Response metadata schema.

  - `errors` (array)
    A list of errors that occurred.

  - `errors.status` (integer)
    The HTTP status code of the error.
    Example: 404

  - `errors.title` (string)
    A short, human-readable summary of the error.
    Example: Not Found

  - `errors.detail` (string)
    A human-readable explanation of the error.
    Example: The requested resource was not found.

  - `errors.code` (string)
    A machine-readable error code.
    Example: resource_not_found

## Response 404:

  - `404` (unknown)
    An error occurred due to a resource not found.

## Response 404 fields (application/json):

  - `meta` (object)
    Response metadata schema.

  - `errors` (array)
    A list of errors that occurred.

  - `errors.status` (integer)
    The HTTP status code of the error.
    Example: 404

  - `errors.title` (string)
    A short, human-readable summary of the error.
    Example: Not Found

  - `errors.detail` (string)
    A human-readable explanation of the error.
    Example: The requested resource was not found.

  - `errors.code` (string)
    A machine-readable error code.
    Example: resource_not_found

## Response 422:

  - `422` (unknown)
    An error occurred due to unprocessable content.

## Response 422 fields (application/json):

  - `meta` (object)
    Response metadata schema.

  - `errors` (array)
    A list of errors that occurred.

  - `errors.status` (integer)
    The HTTP status code of the error.
    Example: 404

  - `errors.title` (string)
    A short, human-readable summary of the error.
    Example: Not Found

  - `errors.detail` (string)
    A human-readable explanation of the error.
    Example: The requested resource was not found.

  - `errors.code` (string)
    A machine-readable error code.
    Example: resource_not_found

## Response 500:

  - `500` (unknown)
    An error occurred due to an internal server error.

## Response 500 fields (application/json):

  - `meta` (object)
    Response metadata schema.

  - `errors` (array)
    A list of errors that occurred.

  - `errors.status` (integer)
    The HTTP status code of the error.
    Example: 404

  - `errors.title` (string)
    A short, human-readable summary of the error.
    Example: Not Found

  - `errors.detail` (string)
    A human-readable explanation of the error.
    Example: The requested resource was not found.

  - `errors.code` (string)
    A machine-readable error code.
    Example: resource_not_found

